import { m } from '@paraglide/messages';
import z from 'zod';

export const profileUpdateSchema = z.object({
  name: z.string().nonempty(
    m.common_is_required({
      field: m.profile_form_name('profile.form.name'),
    }),
  ),
  image: z.instanceof(File).optional(),
});

export type ProfileInput = z.infer<typeof profileUpdateSchema>;
